[18.10 FEAT] New package: smc-tools >=1.1.0

Bug #1689782 reported by bugproxy on 2017-05-10
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Wishlist
Unassigned
smc-tools (Ubuntu)
Wishlist
bugproxy

Bug Description

New tools-part available for Shared-Memory-Allocation

smc-tools available from developerworks.
https://www.ibm.com/developerworks/linux/linux390/smc-tools-0100.html

bugproxy (bugproxy) on 2017-05-10
tags: added: architecture-s39064 bugnameltc-154202 severity-high targetmilestone-inin1710
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → smc (Ubuntu)
Dimitri John Ledkov (xnox) wrote :

Is IBM going to package this and maintain it in Debian?
And then Ubuntu can then sync this package from Debian.

Ubuntu defaults to net.ipv6.bindv6only=0 and we will not switch the default to 1.
Advising to use such a sysctl is actively harmful.
Why not advise users to use setsockopt IPV6_V6ONLY option instead? https://tools.ietf.org/html/rfc3493#section-5.3
and can be done transparently in the preload library.

Why doesn't AF_SMC support IPv6? It seems quite archaic.

Using a preload library, and advising to use preload library feels a bit dodgy to me. But that's just my personal opinion that preload libraries should only be used in testsuites.

Changed in smc (Ubuntu):
importance: Undecided → Wishlist
affects: smc (Ubuntu) → ubuntu
Changed in ubuntu:
milestone: none → later
Dimitri John Ledkov (xnox) wrote :

New package request - setting wishlist priority without any time commitment (milestone later).

Frank Heimes (fheimes) on 2017-05-23
Changed in ubuntu-z-systems:
importance: Undecided → Wishlist
summary: - [17.10 FEAT] New package: smc-tools >=1.1.0
+ [17.10 FEAT] New package: smc-tools >=1.0.0

------- Comment From <email address hidden> 2017-07-18 07:00 EDT-------
1: There are no plans to package and maintain smc-tools in Debian.
They will stay on DeveloperWorks only.

2. Supporting IPv6 for SMC is on our ToDo-list.
IPv6-related restrictions will disappear from smc-tools, once IPv6 support is available.

3. There exist no plans to replace the preload library approach by something else. But if you have a favorite alternate idea here, please let us know.

4. It should be documented as "Tech Preview" , but we should have the package avaiable.

Ubuntu only packages stable software. Software that lacks IPv6 feels wrong to introduce in 2017. If you want tech previews feel free to create .deb packages and distrbute them in developerworks. Or for example create snaps or PPA for it which will be made generally available for s390x. Or for example document smc-tools building from source on ubuntu at https://github.com/linux-on-ibm-z/docs/wiki. This request is out of scope.

Changed in ubuntu:
status: New → Won't Fix
assignee: Skipper Bug Screeners (skipper-screen-team) → bugproxy (bugproxy)
Frank Heimes (fheimes) on 2017-07-18
Changed in ubuntu-z-systems:
status: New → Won't Fix

------- Comment From <email address hidden> 2017-07-19 03:43 EDT-------
Moved at least to 18.04, potential moving further to the right

tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1710
bugproxy (bugproxy) on 2017-07-19
tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
bugproxy (bugproxy) on 2017-07-19
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1810
summary: - [17.10 FEAT] New package: smc-tools >=1.0.0
+ [18.10 FEAT] New package: smc-tools >=1.0.0
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-20 03:52 EDT-------
Set new target Ubuntu 18.10

tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
bugproxy (bugproxy) on 2017-07-20
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1810

Given 18.10 target, changing status to confirmed, such that this bug report does not get automatically closed on launchpad with auto-expiry.

Changed in ubuntu:
status: Won't Fix → Confirmed
Changed in ubuntu-z-systems:
status: Won't Fix → Confirmed
bugproxy (bugproxy) on 2017-10-11
tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
bugproxy (bugproxy) on 2017-10-11
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1810
bugproxy (bugproxy) on 2017-11-21
tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
bugproxy (bugproxy) on 2017-11-21
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1810
bugproxy (bugproxy) on 2017-11-22
tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
bugproxy (bugproxy) on 2017-11-22
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin1810
bugproxy (bugproxy) on 2017-11-27
tags: added: targetmilestone-inin1810
removed: targetmilestone-inin1804
summary: - [18.10 FEAT] New package: smc-tools >=1.0.0
+ [18.10 FEAT] New package: smc-tools >=1.1.0

------- Comment From <email address hidden> 2018-01-30 08:53 EDT-------
Update version level to 1.1.0....

Frank Heimes (fheimes) on 2018-02-08
tags: added: universe
Dimitri John Ledkov (xnox) wrote :

1.1.0 not publically released, please reopen if and when that becomes available.

Changed in ubuntu:
status: Confirmed → Invalid
Changed in ubuntu-z-systems:
status: Confirmed → Invalid
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-03 11:49 EDT-------
2018-07-03: New version of smc-tools 1.1.0 is now available on developerworks

https://www.ibm.com/developerworks/linux/linux390/smc-tools.html

Dimitri John Ledkov (xnox) wrote :

Hi, is this now stable or experimental / tech-preview code? Reading old discussions it was used to be requested that

"""It should be documented as "Tech Preview" , but we should have the package avaiable."""

ps. github.com is a much nicer website than developerworks ;-) *hint* *hint*

Changed in ubuntu:
status: Invalid → Confirmed
Changed in ubuntu-z-systems:
status: Invalid → Confirmed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-04 10:15 EDT-------
This version is not 'Tech Preview' anymore.. ! -> Production level

information type: Private → Public
affects: ubuntu → smc-tools (Ubuntu)
Changed in smc-tools (Ubuntu):
status: Confirmed → Fix Committed
Frank Heimes (fheimes) on 2018-09-05
Changed in ubuntu-z-systems:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package smc-tools - 1.1.0-0ubuntu1

---------------
smc-tools (1.1.0-0ubuntu1) cosmic; urgency=medium

  * Initial release LP: #1689782

 -- Dimitri John Ledkov <email address hidden> Tue, 04 Sep 2018 08:24:34 +0100

Changed in smc-tools (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes) on 2018-09-05
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-09-05 10:49 EDT-------
IBM bugzilla status -> closed, Fix Released for Cosmic

tags: added: id-5b6472f6cbc777164c15be83
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers